Subject: bug#39452: [PATCH] vc-git-state fails for filenames with wildcards

From: Stephen Berman <[email-masked]>
Date: Sat, 28 Aug 2021 18:02:27 +0200

On Sat, 28 Aug 2021 17:48:15 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> But I don't see at first glance why the unexpanded file name
>> in the latter worked prior to the literal-pathspecs change but not
>> afterwards.
>
> Isn't that what that change does -- make git interpret paths literally?
> (So that you can have file names like "~" and "*" in your repo.)

Ah, that makes sense and explains why it broke my code, thanks.  (My
first glance at the change was very superficial, and you've saved me
from having to take a second glance :-).

Steve Berman